Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 552646 (CVE-2015-2304) - <app-arch/libarchive-3.1.2-r1: Path traversal vulnerability (CVE-2015-2304)
Summary: <app-arch/libarchive-3.1.2-r1: Path traversal vulnerability (CVE-2015-2304)
Status: RESOLVED FIXED
Alias: CVE-2015-2304
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL:
Whiteboard: A4 [glsa cve]
Keywords:
Depends on: CVE-2015-8916, CVE-2015-8917, CVE-2015-8918, CVE-2015-8919, CVE-2015-8920, CVE-2015-8921, CVE-2015-8922, CVE-2015-8923, CVE-2015-8924, CVE-2015-8925, CVE-2015-8926, CVE-2015-8927, CVE-2015-8928, CVE-2015-8929, CVE-2015-8930, CVE-2015-8931, CVE-2015-8932, CVE-2015-8933, CVE-2015-8934
Blocks:
  Show dependency tree
 
Reported: 2015-06-20 15:06 UTC by GLSAMaker/CVETool Bot
Modified: 2017-01-01 14:34 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description GLSAMaker/CVETool Bot gentoo-dev 2015-06-20 15:06:47 UTC
CVE-2015-2304 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2015-2304):
  Absolute path traversal vulnerability in bsdcpio in libarchive 3.1.2 and
  earlier allows remote attackers to write to arbitrary files via a full
  pathname in an archive.
Comment 1 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2016-06-27 12:48:57 UTC
Added to existing GLSA request.
Comment 2 GLSAMaker/CVETool Bot gentoo-dev 2017-01-01 14:34:20 UTC
This issue was resolved and addressed in
 GLSA 201701-03 at https://security.gentoo.org/glsa/201701-03
by GLSA coordinator Thomas Deutschmann (whissi).